2017-04-29 13:33 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0012935CentOS-7nsspublic2017-04-06 16:31
Reporterkharag 
PrioritynormalSeveritycrashReproducibilityalways
StatusnewResolutionopen 
Product Version7.3.1611 
Target VersionFixed in Version 
Summary0012935: nss crashing php-fpm process
DescriptionHello,

after the latest NSS Update today ( nss-util.x86_64 3.28.2-1.1.el7_3, nss.x86_64 3.28.2-1.6.el7_3, nss-sysinit.x86_64 3.28.2-1.6.el7_3, nss-tools.x86_64 3.28.2-1.6.el7_3 ) I have the following problem.

PHP is realized with PHP-FPM for our customers (multiple VHosts). Since the update our customers can't for example update Wordpress blogs because the PHP process is crashing with the following error:

"php-fpm: pool www: symbol lookup error: /usr/lib64/libnsssysinit.so: undefi
ned symbol: PR_GetEnvSecure"

Downgrading with yum downgrade fixes the problem.

Please let me know if you need more information.
Steps To Reproduce*) Yum upgrade
*) Run PHP 5.6.30 (latest) with FPM
*) Access Backend of Wordpress and try to publish update

Expected result: Update succeedes, the page is loading
Actual result: Update failed, PHP process is crashing (code 127) and the browser is correctly displaying 503
Additional InformationVersions:
PHP 5.6.30
NSS: 3.28.2
NSS-util: 3.28.2
nss-tools: 3.28.2
nss-sysinit: 3.28.2
TagsNo tags attached.
abrt_hash
URL
Attached Files

-Relationships
+Relationships

-Notes

~0028808

Chris Davenport (reporter)

We can confirm this problem with Joomla on PHP 7.0.16 too.

We were able to narrow the problem down to the PHP random_bytes function.

# tail -f /var/log/httpd/error_log
/usr/sbin/httpd: symbol lookup error: /lib64/libnsssysinit.so: undefined symbol: PR_GetEnvSecure

Reverting last night's update to NSS fixed the problem.

~0028809

Fonant (reporter)

I can confirm a similar problem with PHP 7.0 running as mod_php.

Crashes on certain pages of a Drupal website, most notably the page after logging in. If it's a problem with random_bytes then it could be related to generating a new random session key.

In my case re-starting Apache seems to have fixed the problem.

~0028810

laupow (reporter)

I filed a similar report this morning: https://bugs.centos.org/view.php?id=12937

~0028821

kabe (reporter)

php-fpm doesn't fork, so it won't pick up the updated
*.so libraries, and may act weird, choke, or SIGSEGV.
Usually full httpd restart resolves the problem.

Since PHP 5.6 and PHP 7 aren't supplied by CentOS, there's not much
we can support in this bug tracker.

~0028822

EdIcon (reporter)

[SOLVED] I had the same problem after yum-cron updated my system yesterday. TrevorH from the forum suggested an apache reboot, which fixed the problem. For details, see https://www.centos.org/forums/viewtopic.php?f=47&t=61677&p=260112#p260112

Maybe it's a bug that a reboot is needed, but at least there is a workaround to the basic problem WITHOUT downgrading.

~0028824

kharag (reporter)

Fun fact:
I tried restarting Apache and PHP-FPM yesterday and had the error. Even rebooted the server.

Today I tried the same procedure (update with YUM, then reboot the server) and so far it seems to run without the mentioned error.

~0028825

Chris Davenport (reporter)

Restarting Apache after applying the update worked for me too.

~0028830

tomemerson (reporter)

IUS PHP 5.6

Restarting Apache immediately solved this for us.

As a preventative measure, we downgraded the nss update pending O/S reboot maintenance window.

I'll squawk again if this recurs after nss update and O/S reboot.

~0028861

4ServNet (reporter)

Confirmed

OS: Cloudlinux 7
apache + php-fpm

/usr/sbin/httpd: symbol lookup error: /lib64/libnsssysinit.so: undefined symbol: PR_GetEnvSecure


Fixed with restarting apache and php-fpm services
+Notes

-Issue History
Date Modified Username Field Change
2017-03-09 12:53 kharag New Issue
2017-03-09 15:21 Chris Davenport Note Added: 0028808
2017-03-09 15:40 Fonant Note Added: 0028809
2017-03-09 15:42 laupow Note Added: 0028810
2017-03-10 04:36 kabe Note Added: 0028821
2017-03-10 12:27 EdIcon Note Added: 0028822
2017-03-10 12:30 kharag Note Added: 0028824
2017-03-10 13:23 Chris Davenport Note Added: 0028825
2017-03-10 21:00 tomemerson Note Added: 0028830
2017-03-15 11:36 4ServNet Note Added: 0028861
+Issue History